默认输入法。

为当前最终发行版之前的所有版本提供支持
回复
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

默认输入法。

#1

帖子 eexpress » 2006-03-15 23:22

gedit, nautilus地址栏。经常不能输入。原来是右键多了个输入法。而且老是变成x输入法。还要手工选择一下scim或者默认。不知道如何设置一个全局的默认的。
附件
Screenshot-2.png
● 鸣学
the_owl
帖子: 190
注册时间: 2006-02-18 20:42
送出感谢: 0
接收感谢: 0

#2

帖子 the_owl » 2006-03-15 23:51

:shock: 我这里没有问题,虽然我的右键菜单也有个输入法选项。

我的选项里,没有scim,选的是x输入法,control-空格 出来的是scim输入法
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2006-03-16 0:29

是要安装im-switch,scim注册到im-switch,就可以自动启动,自动设置。也不知道哪里有说明。我是没看到。
● 鸣学
头像
freeflying
论坛版主
帖子: 521
注册时间: 2005-03-26 9:38
送出感谢: 0
接收感谢: 0

#4

帖子 freeflying » 2006-03-16 9:33

如果你是安装的flight-5,你自己不要设置任何东西;如果你是一路升级过来的,就把你自己以前设定的给去掉.
图片
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#5

帖子 eexpress » 2006-03-16 9:59

哈,我就是在irc问的。火兔子和花花说的。你当时在睡觉。 :lol:
● 鸣学
头像
Beetle
帖子: 1637
注册时间: 2005-10-14 16:55
系统: OS X
来自: 江苏
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 Beetle » 2006-03-16 13:51

装了flight-5,但ctrl+空格,调不出输入法~~
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#7

帖子 eexpress » 2006-03-16 22:53

可以使用im-switch -l 查看状态。可以看到scim设置到里面了。
● 鸣学
头像
magicsky
帖子: 225
注册时间: 2007-03-30 9:46
送出感谢: 1 次
接收感谢: 0

#8

帖子 magicsky » 2007-08-30 20:57

这样行吗:
sudo fontconfig-voodoo -f -s zh_CN
sudo apt-get install im-switch libapt-pkg-perl
sudo im-switch -s scim-pinyin -z default
头像
magicsky
帖子: 225
注册时间: 2007-03-30 9:46
送出感谢: 1 次
接收感谢: 0

#9

帖子 magicsky » 2007-09-03 18:38

"/usr/lib/gtk-2.0/2.4.0/immodules/im-xim.so"
"xim" "X Input Method" "gtk20" "/usr/share/locale" "en:ko:ja:th:zh"
多加上的en就会使GTK程序在en_US的环境下也启用xim作为输入法了。
(相让默认输入法是scim一样道理,在文件的 scim相应的行里最后一个双引号里加入en就可以让en_US环境启用scim作为默认输入法。。)
在国外,众多程序员为了理想而夜以继日;
而在国内,程序员在为填饱自己和家人的肚子而埋头苦干。
aaawhale
帖子: 63
注册时间: 2007-09-24 16:51
送出感谢: 0
接收感谢: 0

我的问题也一样,大俠帮忙啊

#10

帖子 aaawhale » 2007-10-31 19:42

我的问题也一样,大俠帮忙啊
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#11

帖子 eexpress » 2007-10-31 19:52

你们是病急乱投医啊。这都哪年的帖子哦。什么版本哦。呵呵

这个,你们倒是可以看下。

代码: 全选

im-switch -l 
● 鸣学
回复

回到 “老旧版本支持”